from os import environ as env
from os.path import join
import sys
import re
import platform
import unittest


IS_CONDA = len(re.findall(r'(Continuum Analytics|Anaconda)', sys.version))
IS_WIN = "Windows" in platform.system()


if env.get("CONDA_BUILD", None):
    ENV_VAR = "PREFIX"
elif IS_WIN:
    ENV_VAR = "CONDA_DEFAULT_ENV"
else:
    ENV_VAR = "CONDA_ENV_PATH"


class CondaEnvTestCast(unittest.TestCase):
    def test_enabled(self):
        """ the extension is installed in the environment's config file
        """
        if IS_CONDA:
            conda_root = env.get(ENV_VAR, None)
            cfg = join(conda_root, "etc", "jupyter",
                       "jupyter_notebook_config.json")
            with open(cfg) as fp:
                self.assertIn("nb_config_manager", fp.read())
